using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Text;

namespace Utils
{
    //[JsonProperty("AlarmInfoPlate")]
    public class Response_AlarmInfoPlate
    {
        [JsonProperty("AlarmInfoPlate")]
        /// <summary>
        /// OK 开闸
        /// </summary>
        public string info { get; set; }

        [JsonProperty("AlarmInfoPlate")]
        /// <summary>
        /// 端口号
        /// </summary>
        public int channelNum
        {
            get;
            set;
        }


        [JsonProperty("AlarmInfoPlate")]
        /// <summary>
        /// 串口数据
        /// </summary>
        public List<SerialData> serialData
        {
            get;
            set;
        }
    }

    /// <summary>
    /// 串口数据
    /// </summary>
    public class SerialData
    {
        [JsonProperty("AlarmInfoPlate")]
        public string serialChannel { get; set; }

        [JsonProperty("AlarmInfoPlate")]
        public string data { get; set; }

        [JsonProperty("AlarmInfoPlate")]
        public int dataLen { get; set; }
    }

}
